g <- function(x) {
  #cat("P(", paste(x, sep=","), ") = ")
    
  # Probability of being in cluster i
  #p <- sum(fit$parameters$pro)

  prob <- 0
  
  for (i in 1:fit$parameters$variance$G) {
    # sigma For all multidimensional mixture models. A _d_ by _d_
    #       by _G_ matrix array whose ‘[,,k]’th entry is the
    #       covariance matrix for the _k_th component of the mixture
    #       model.

    d <- dmvnorm(x, fit$parameters$mean[, i], fit$parameters$variance$sigma[, , i])
    prob <- prob + fit$parameters$pro[i] * d

    #cat(round(fit$parameters$pro[i], 4), "*", round(d, 4))
    #if (i != fit$parameters$variance$G) cat(" + ")
  }

  #cat("=", prob, "\n\n")

  return(prob)
}

